import { ComponentInterface, EventEmitter } from "../../../stencil-public-runtime";
import { User } from "../../../sdk";
import { FireEnjinTriggerInput } from "@fireenjin/sdk";
export declare class AppUserList implements ComponentInterface {
  api: any;
  actionOptions: any;
  sendEmailModalEl: HTMLIonModalElement;
  editUserModalEl: HTMLIonModalElement;
  filterBarEl: any;
  fireenjinTrigger: EventEmitter<FireEnjinTriggerInput>;
  users: User[];
  paginationEl: any;
  user: Partial<User>;
  selectedUsers: Partial<User>[];
  selectedIds: string[];
  selectedEmails: string[];
  options: any[];
  selectAll: boolean;
  fetchData: {
    locationId: string;
  };
  onSearchInput(event: any): void;
  onSuccess(event: any): void;
  openPopover(event: any, user: any): Promise<void>;
  openEditUsersModal(): Promise<void>;
  sendEmail(_event: any): Promise<void>;
  toggleSelect(event: any, user: Partial<User>): void;
  toggleSelectAll(): void;
  componentDidLoad(): void;
  render(): any[];
}
